Subject: Re:bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear

From: Steffan <[email-masked]>
Date: Wed, 29 Aug 2012 10:57:34 +0200

> In article , Steffan  writes:
> 
>> I've just tested it. It's different. But it doesn't work correctly.
>> In the arabic-input-method
>> h-X-SPACE-h works fine,
>> but h-X-h doesn't work, the Sukkun disappears.
> 
> I also tested with the following windows binary
> (emacs-trunk-r109787-bin-w32-i386.zip) and confirmed the problem:

I tested this one:  emacs-20120827-r109788-bin-i386.zip         27-Aug-2012 02:55   58M  
from 
http://alpha.gnu.org/gnu/emacs/windows/?C=M;O=A

> In article , Dani Moncayo writes:
> 
>> I've just uploaded a w32 binary (from today's trunk):
>> https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8
> 
> I evaluated the attached funcion in *scratch* buffer and it
> returned this string on Windows.
> 
> " [0 1 1575 909 18 7 10 25 8 nil]
> [0 1 1575 760 0 7 11 25 8 [-1 1 0]]
> 
> [0 1 1575 909 18 7 10 25 8 nil]
> [0 1 1575 760 0 7 11 25 8 [-19 1 0]]
> 
> "
> 
> The second GLYPHs in the first and second GSTRINGs are
> different. On GNU/Linux, they are the same, which should be
> the correct behaviour.
> 
> ---
> Kenichi Handa
> [email-masked]
> 
> (defun check-arabic-shaper ()
> (let (str)
> (save-excursion
> (with-temp-buffer
> (insert "\u0627\u0652\u0627\n\u0627\u0652 \u0627")
> (switch-to-buffer (current-buffer))
> (sit-for 0)
> (save-excursion
> (describe-char 1)
> (set-buffer "*Help*")
> (if (search-forward "by these glyphs:\n" nil t)
> (let ((pos (point)))
> (search-forward "\n\n" nil 'move)
> (setq str (buffer-substring-no-properties pos (point))))))
> (save-excursion
> (describe-char 5)
> (set-buffer "*Help*")
> (if (search-forward "by these glyphs:\n" nil t)
> (let ((pos (point)))
> (search-forward "\n\n" nil 'move)
> (setq str (concat str (buffer-substring-no-properties pos (point)))))))))
> str))

I get in the scratch-buffer this result:

"  [0 1 1575 909 8 3 5 12 4 nil]
  [0 1 1575 760 0 3 6 12 4 [0 1 0]]

  [0 1 1575 909 8 3 5 12 4 nil]
  [0 1 1575 760 0 3 6 12 4 [-8 1 0]]

"